Subject: bug#65039: [PATCH] Add bookmark handler for shell-mode

From: Ship Mints <[email-masked]>
Date: Sat, 15 Feb 2025 08:01:02 -0500

Okay, so no objections to clarifying that users need to ensure they bind
tramp-show-ad-hoc-proxies to non-nil in advance of any multi-hop
connections? I can mention both, as succinctly as I can in the footnote and
docstring, and refer readers to the Tramp manual entries in the shell
bookmark manual?

On Sat, Feb 15, 2025 at 7:55 AM Michael Albinus <[email-masked]>
wrote:

> Ship Mints <[email-masked]> writes:
>
> Hi,
>
> > Is there any harm if people who want to achieve what I outlined bind
> > tramp-show-ad-hoc-proxies to non-nil? If that works in the way I
> > suggest, why not recommend it?
>
> There is no harm, if you set it before a connection is established, as
> your tests have shown. But you should know the consequences, which I
> have described last message.
>
> Best regards, Michael.
>